NAMED-MAKEJOURNAL(1)

NAME
named-makejournal - create a journal from zone files

SYNOPSIS

named-makejournal [-hm] {origin} {oldfile} {newfile} [journal]

DESCRIPTION

named-makejournal scans the contents of two zone files for the domain specified by origin, compares them, and writes the differences into a journal file. The resulting journal file could then be used by named <#std-iscman-named> to load the zone and provide incremental zone transfers.

Both oldfile and newfile must be successfully loadable as zone databases, and newfile must have a higher SOA serial number than oldfile.

If the optional argument journal is not specified, then the journal file name will be formed by appending the extension .jnl to the zone file name specified as oldfile.

If the journal file already exists, then it will be applied to oldfile immediately after loading. The difference between the resulting zone and the one in newfile will then be appended onto the end of the journal. This allows creation of journal files with multiple transactions, by running named-makejournal multiple times, updating newfile each time.

OPTIONS

-h  Print a usage summary.

-m  Enables memory usage debugging.

SEE ALSO

named(8) <#std-iscman-named>, named-journalprint(1) <#std-iscman-named-journalprint>, BIND 9 Administrator Reference Manual.

Author
Internet Systems Consortium

Copyright
2026, Internet Systems Consortium